# $Revision: 1.17.2.1 $, $Date: 2002/11/15 00:26:50 $
#
# Conditional build:
# _with_pixmapsubdirs - leave different depth/resolution icons
#
%define		_with_pixmapsubdirs	1
Summary:	Web development tool for KDE
Summary(es):	Uno editor WEB para KDE
Summary(pl):	Narzdzie do tworzenia WWW dla KDE
Summary(pt_BR):	Um editor web para o KDE
Name:		quanta
Version:	3.0pr2a
Release:	2
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/quanta/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.sourceforge.net/pub/sourceforge/quanta/css.tar.bz2
Source2:	ftp://ftp.sourceforge.net/pub/sourceforge/quanta/html.tar.bz2
Source3:	ftp://ftp.sourceforge.net/pub/sourceforge/quanta/javascript.tar.bz2
Source4:	ftp://ftp.sourceforge.net/pub/sourceforge/quanta/php.tar.bz2
Source5:	%{name}-pl.po
Patch0:		%{name}-desktop.patch
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _mandir         %{_prefix}/man
%define		QTDIR		%{_prefix}
%define		_htmldir	/usr/share/doc/kde/HTML

%description
Quanta Plus is a web development tool for the K Desktop Environment.
Quanta is designed for quick web development and is rapidly becoming a
mature editor with a number of great features.

%description -l es
Quanta Plus s una herramienta de desarrollo web para KDE. Es
projetado para rapido desarrollo web e es casi pronto com excelent
quantidad de caracteristicas.

%description -l pl
Quanta Plus to narzdzie do tworzenia WWW dla rodowiska KDE. Suy do
szybkiego tworzenia stron i staje si dojrzaym edytorem z wieloma
przydatnymi moliwociami.

%description -l pt_BR
O Quanta Plus  uma ferramenta para desenvolvimento web para o KDE. 
projetado para desenvolvimento web rpido e est rapidamente se
tornando um editor maduro com um bom nmero de excelentes
caractersticas.

%prep
%setup -q -n %{name}-%{version} -a 1 -a 2 -a 3 -a 4
%patch0 -p1

%build
install %{SOURCE5} po/pl.po
perl admin/am_edit
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
%configure \
	--disable-fast-perl \
	--with-qt-dir=%{QTDIR} \
	--with-qt-includes=%{QTDIR}/include \
	--with-qt-libraries=%{QTDIR}/lib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Editors/HTML

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -R css/css css/css.docrc html/html html/html.docrc javascript/javascript javascript/javascript.docrc php/php php/php.docrc $RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc

mv -f $RPM_BUILD_ROOT%{_applnkdir}/{Development,Editors/HTML}/quanta.desktop

%if %{?_with_pixmapsubdirs:1}%{!?_with_pixmapsubdirs:0}
	ln -sf hicolor/48x48/apps/quanta.png $RPM_BUILD_ROOT%{_pixmapsdir}/quanta.png
%else
	cp -af $RPM_BUILD_ROOT%{_pixmapsdir}/{hicolor/48x48/apps/,}quanta.png
%endif

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/quanta
%dir %{_libdir}/quanta/plugins
%attr(755,root,root) %{_libdir}/quanta/plugins/weblint
%{_applnkdir}/Editors/HTML/quanta.desktop
%{_datadir}/apps/quanta
%{?_with_pixmapsubdirs:%{_pixmapsdir}/*/*/*/quanta.png}
%{_pixmapsdir}/quanta.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: quanta.spec,v $
Revision 1.17.2.1  2002/11/15 00:26:50  ankry
- fix desktop (-desktop patch) and move it tp Editors/HTML/
- link 48x48 icon in toplevel %%{_pixmapsdir}
- rel. 2

Revision 1.17  2002/09/11 23:30:16  blues
- 3.0pr2a - bugfixes - STBR

Revision 1.16  2002/09/10 22:54:57  blues
- release 2 - rebuild with updated pl translation

Revision 1.15  2002/09/10 15:22:24  blues
- 3.0pr2 - STBR

Revision 1.14  2002/09/04 14:39:37  blues
- release 3 - updated pl translation - STBR

Revision 1.13  2002/08/31 16:15:43  blues
- release 2 - STBR

Revision 1.12  2002/07/31 08:27:12  kloczek
- merge translations from Conectiva.

Revision 1.11  2002/07/30 23:21:49  blues
- release 1.2

Revision 1.10  2002/07/30 10:52:52  qboosh
- fixed icons and docs location (if it builds now)

Revision 1.9  2002/07/28 19:16:30  blues
- started with polish translation

Revision 1.8  2002/07/28 12:06:03  blues
- 3.0pr1 (for KDE3)

Revision 1.7  2002/07/10 08:41:55  qboosh
- s/kde-libs-devel/kdelibs-devel/

Revision 1.6  2002/07/09 20:25:14  blues
- it requires kde-libs

Revision 1.5  2002/04/26 06:33:49  fastviper
- upgraded to 2.0.1
- changed license to GPL (was 'unknown')
- adapterized

Revision 1.4  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/11 15:48:36  qboosh
- pl translations, changed Source URLs to ftp; NOTE: current is final 2.0

Revision 1.1  2001/08/18 15:41:59  waszi
- initial release (based on spec written by socrat :)
